#ifndef NEWACCOUNTDIALOG_H
#define NEWACCOUNTDIALOG_H

#include <QDialog>
#include <QLineEdit>
#include <QLabel>
#include <QDialogButtonBox>

class NewAccountDialog : public QDialog
{
    Q_OBJECT

public:
    explicit NewAccountDialog(QWidget *parent = 0);
    void edit(QString &key, QString &ip);

public slots:
    void save();

private:
    QLineEdit *mKeyLineEdit;
    QLineEdit *mIpLineEdit;
    QLineEdit *mPortLineEdit;
    QPushButton *mSavePushButton;
    QPushButton *mCancelPushButton;
    QDialogButtonBox *mButtonBox;

    QString mEditKey;
    QString mEditIp;
    QString mEditPort;
};

#endif // NEWACCOUNTDIALOG_H
